{%- assign fields = section.settings -%}
{%- assign image_src = fields['image'] | img_url: 'original' -%}

{%- include 'hero'
  text: fields['text'],
  video_url: fields['video'],
  image_src: image_src -%}

{%- assign fields = nil -%}
{%- assign image_src = nil -%}

{% schema %}
  {
    "name": "Home Hero",
    "settings": [{
      "type": "image_picker",
      "id": "image",
      "label": "Background Image"
    }, {
      "type": "text",
      "id": "video",
      "label": "Video URL",
      "info": "Accepts a Vimeo mp4 url or a video file url."
    }, {
      "type": "text",
      "id": "text",
      "label": "Title"
    }]
  }
{% endschema %}
